Bug Hunting Session
Bug 88448 - MsgBox is not reentrant; calls while already executing are ignored
Summary: MsgBox is not reentrant; calls while already executing are ignored
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 88092
  Show dependency treegraph
 
Reported: 2015-01-15 07:22 UTC by Lionel Elie Mamane
Modified: 2017-05-22 13:40 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
reproduction example (41.19 KB, application/vnd.sun.xml.base)
2015-01-15 07:22 UTC, Lionel Elie Mamane
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lionel Elie Mamane 2015-01-15 07:22:43 UTC
Created attachment 112273 [details]
reproduction example

+++ This bug was initially created as a clone of Bug #88092 +++

1. Open reproduction example, allowing macros.

2. Open form "FormSlowFast".

Here execution of PriorToReset is preempted by execution of
Main while the MsgBox of PriorToReset is showing.

The result is that Main executes completely
(as is shown by the mention "EXIT main" in the document)
*but* its MsgBox is never shown. It is just silently ignored.

Compare:
 FormFastSlow: both MsgBoxes are shown
 FormSlowSlow: both MsgBoxes are shown
 FormFastFast: only "PTR" MsgBox is shown, as with FormSlowFast
Comment 1 Buovjaga 2015-01-17 13:25:57 UTC
Windows:
FormFastFast: only Main msgbox
FormFastSlow: only Main msgbox
FormSlowFast: PTR first, then Main
FormSlowSlow: PTR first, then Main

Linux:
FormFastFast: only PTR msgbox
FormFastSlow: main first, then PTR
FormSlowFast: only PTR msgbox
FormSlowSlow: main first, then PTR

You be the judge :|

Win 7 Pro 64-bit
Version: 4.5.0.0.alpha0+
Build ID: 5f6bdce0c0ac687f418821ce328f2987bf340cda
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-17_01:06:46

Ubuntu 14.10 64-bit Version: 4.5.0.0.alpha0+
Build ID: 0ffa3abc7d6c0437ece30cfb1430d28ffcc9f5c1
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-01-15_22:47:16
Comment 2 raal 2016-05-02 10:43:50 UTC
Version: 5.2.0.0.alpha0+; win7
FormFastFast: only PTR msgbox
FormFastSlow: Main, PTR
FormSlowFast: only PTR msgbox
FormSlowSlow: Main, PTR
Comment 3 QA Administrators 2017-05-22 13:40:06 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522